sc::OneBodyIntIter(3)

NAME
sc::OneBodyIntIter -

SYNOPSIS

Inherits sc::RefCount'.

Inherited by sc::SymmOneBodyIntIter'.

  Public Member Functions
OneBodyIntIter (const Ref< OneBodyInt > &)
virtual void start (int ist=0, int jst=0, int ien=0, int jen=0)
virtual void next ()
int ready () const
int ishell () const
int jshell () const
int ijshell () const
int redundant () const
void set_redundant (int i)
virtual double scale () const
Ref< OneBodyInt > one_body_int ()
ShellPairIter & current_pair ()
virtual bool cloneable ()
virtual Ref< OneBodyIntIter > clone ()

  Protected Attributes
Ref< OneBodyInt > obi
ShellPairIter spi
int redund
int istart
int jstart
int iend
int jend
int icur
int jcur
int ij

Author

Generated automatically by Doxygen for MPQC from the source code'.